package com.winhc.bigdata.query.server.controller;

import com.winhc.bigdata.query.server.entity.MaxComputeJobStatus;
import com.winhc.bigdata.query.server.enums.WriteEndStatus;
import com.winhc.bigdata.query.server.service.MaxComputeJobStatusService;
import lombok.AllArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.constraints.Pattern;

/**
 * @Author: XuJiakai
 * @Date: 2020/8/26 13:32
 * @Description:
 */
@Validated
@RestController
@AllArgsConstructor
@RequestMapping("job-status")
public class MaxComputeJobStatusController {
    private MaxComputeJobStatusService jobStatusService;


    @GetMapping("set")
    public String setStatus(@RequestParam("date") @Pattern(regexp = "\\d{4}\\-\\d{2}\\-\\d{2}", message = "时间必需为yyyy-MM-dd格式") String date
            , @RequestParam("job_type_id") String jobType
            , @RequestParam("job_status") WriteEndStatus jobStatus
    ) {
        MaxComputeJobStatus job = MaxComputeJobStatus.builder().jobDate(date).jobType(jobType).writeEnd(jobStatus).build();
        return jobStatusService.saveOrUpdate(job) ? "ok" : "field";
    }

}
