package com.winhc.bigdata.query.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.winhc.bigdata.query.server.enums.WriteEndStatus;
import lombok.*;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import java.io.Serializable;
import java.util.Date;

/**
 * @Author: XuJiakai
 * @Date: 2020/8/26 11:24
 * @Description:
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("maxcompute_job_status")
public class MaxComputeJobStatus implements Serializable {
    @TableId(type = IdType.AUTO)
    private Long id;
    @NotBlank(message = "任务类型不能为空")
    private String jobType;
    @Pattern(regexp = "\\d{4}\\-\\d{2}\\-\\d{2}", message = "时间必需为yyyy-MM-dd格式")
    private String jobDate;
    private WriteEndStatus writeEnd;
    private Date createTime;
    private Date updateTime;

    @Override
    public String toString() {
        return "MaxComputeJobStatus{" +
                "id=" + id +
                ", jobType='" + jobType + '\'' +
                ", jobDate='" + jobDate + '\'' +
                ", writeEnd=" + writeEnd +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
